<?php

use FiloBlu\CegidY2\Api\CustomerWcfService\ServiceType\Get;
use FiloBlu\CegidY2\Api\CustomerWcfService\StructType\GetCustomerDetail;
use FiloBlu\CegidY2\Api\CustomerWcfService\StructType\RetailContext;
use WsdlToPhp\PackageBase\AbstractSoapClientBase;
function fake_magento_register ($className){
    if($className === 'Magento\Framework\Component\ComponentRegistrar' ) {
        eval("namespace Magento\Framework\Component; class ComponentRegistrar { const MODULE = 'module'; public static function register(\$a, \$b, \$c) {} }");
    }
}

spl_autoload_register('fake_magento_register');
include __DIR__ . '/vendor/autoload.php';

$options = [
    AbstractSoapClientBase::WSDL_URL => 'https://90277394-test-retail-ondemand.cegid.cloud/Y2/CustomerWcfService.svc?singlewsdl',
    AbstractSoapClientBase::WSDL_CLASSMAP => \FiloBlu\CegidY2\Api\CustomerWcfService\ClassMap::get(),
    AbstractSoapClientBase::WSDL_LOGIN => '90277394_002_TEST\ECO01',
    AbstractSoapClientBase::WSDL_PASSWORD => 'eco01',
];

$get = new Get($options);
$customerContext = new RetailContext('90277394_002_TEST');
$params = new GetCustomerDetail();
$params->setCustomerId('CECO0100000000002');
$params->setClientContext($customerContext);


if ($get->GetCustomerDetail($params) !== false) {
   $result= $get->getResult();
  echo  $result->getGetCustomerDetailResult()->getEmailData()->getEmail(). PHP_EOL;
} else {
    print_r($get->getLastError());
}
